> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vidjutsu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete post



## OpenAPI

````yaml /openapi/spec.json delete /v1/posts
openapi: 3.0.0
info:
  title: VidJutsu API
  version: 2026-05-24-2
servers:
  - url: https://api.vidjutsu.ai
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Assets
  - name: Editor Projects
  - name: Scrape
  - name: Billing
  - name: API Keys
  - name: Usage
  - name: Info
  - name: Pricing
  - name: Subscriptions
  - name: Auth
  - name: Accounts
  - name: Posts
  - name: References
  - name: Upload
  - name: Watch
  - name: Extract
  - name: Transcribe
  - name: Check
  - name: Compliance
  - name: Overlay
  - name: Disclaimer
  - name: Agent
paths:
  /v1/posts:
    delete:
      tags:
        - Posts
      summary: Delete post
      operationId: deletePost
      parameters:
        - name: id
          in: query
          required: true
          schema:
            type: string
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PostDeleteResponse'
components:
  schemas:
    PostDeleteResponse:
      type: object
      required:
        - id
        - status
      properties:
        id:
          type: string
        status:
          type: string
          enum:
            - deleted
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````